## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate shadow-rs

Name:           rust-%{crate}
Version:        0.6.3
Release:        %autorelease
Summary:        Build-time information stored in your rust project

# Upstream license specification: MIT AND Apache-2.0
License:        MIT and ASL 2.0
URL:            https://crates.io/crates/shadow-rs
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Build-time information stored in your rust project.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+git2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git2-devel %{_description}

This package contains library source intended for building other packages
which use "git2" feature of "%{crate}" crate.

%files       -n %{name}+git2-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# No git repo here since we downloading tarball with sources
%cargo_test -- -- --skip git::tests::test_git --skip git::tests::test_current_branch
%endif

%changelog
* Sun Aug 01 2021 Fabio Valentini <decathorpe@gmail.com> 0.6.3-1
- Update to version 0.6.3; Fixes RHBZ#1988867

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu May 27 22:43:06 EEST 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.25-1
- Initial package

